Index: ThirdParty/levmar/debian/changelog
===================================================================
--- ThirdParty/levmar/debian/changelog	(revision 8ce1a95e94bdc842511db41cb292238a19558df0)
+++ ThirdParty/levmar/debian/changelog	(revision 8ce1a95e94bdc842511db41cb292238a19558df0)
@@ -0,0 +1,7 @@
+levmar (2.6-1) UNRELEASED; urgency=low
+  
+  * Initial Release.
+  * This is my first Debian package.
+  * Copyright for levmar is by Manolis Lourakis.
+  
+ -- Frederik Heber <heber@ins.uni-bonn.de>  Sat, 23 May 2015 09:48:00 +0100
Index: ThirdParty/levmar/debian/compat
===================================================================
--- ThirdParty/levmar/debian/compat	(revision 8ce1a95e94bdc842511db41cb292238a19558df0)
+++ ThirdParty/levmar/debian/compat	(revision 8ce1a95e94bdc842511db41cb292238a19558df0)
@@ -0,0 +1,1 @@
+9
Index: ThirdParty/levmar/debian/control
===================================================================
--- ThirdParty/levmar/debian/control	(revision 8ce1a95e94bdc842511db41cb292238a19558df0)
+++ ThirdParty/levmar/debian/control	(revision 8ce1a95e94bdc842511db41cb292238a19558df0)
@@ -0,0 +1,18 @@
+Source: levmar
+Section: libs
+Priority: optional
+Maintainer: Frederik Heber <heber@ins.uni-bonn.de>
+Build-Depends: debhelper (>=9), cdbs, autoconf, automake1.11
+Build-Conflicts: autoconf2.13, automake1.4
+Standards-Version: 3.9.3
+Homepage: http://users.ics.forth.gr/~lourakis/levmar/
+
+Package: levmar
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Levenberg-Marquardt nonlinear least squares algorithms
+ Levmar provides GPL native ANSI C implementations of the Levenberg-Marquardt
+ optimization algorithm, usable also from C++, Matlab, Perl and Python.
+ Both unconstrained and constrained (under linear equations
+ and box constraints) Levenberg-Marquardt variants are included.
+
Index: ThirdParty/levmar/debian/copyright
===================================================================
--- ThirdParty/levmar/debian/copyright	(revision 8ce1a95e94bdc842511db41cb292238a19558df0)
+++ ThirdParty/levmar/debian/copyright	(revision 8ce1a95e94bdc842511db41cb292238a19558df0)
@@ -0,0 +1,29 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: levmar
+Upstream-Contact: Manolis Lourakis <lourakis@ics.forth.gr>
+Source: http://users.ics.forth.gr/~lourakis/levmar/
+
+Files: *
+Copyright:  2007-2015 Frederik Heber
+License: GPL-2
+ This program is free software; you can redistribute it
+ and/or modify it under the terms of the GNU General Public
+ License as published by the Free Software Foundation; either
+ version 2 of the License, or (at your option) any later
+ version.
+ .
+ This program is distributed in the hope that it will be
+ useful, but WITHOUT ANY WARRANTY; without even the implied
+ warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+ PURPOSE.  See the GNU General Public License for more
+ details.
+ .
+ You should have received a copy of the GNU General Public
+ License along with this package; if not, write to the Free
+ Software Foundation, Inc., 51 Franklin St, Fifth Floor,
+ Boston, MA  02110-1301 USA
+ .
+ On Debian systems, the full text of the GNU General Public
+ License version 2 can be found in the file
+ `/usr/share/common-licenses/GPL-2'.
+
Index: ThirdParty/levmar/debian/rules
===================================================================
--- ThirdParty/levmar/debian/rules	(revision 8ce1a95e94bdc842511db41cb292238a19558df0)
+++ ThirdParty/levmar/debian/rules	(revision 8ce1a95e94bdc842511db41cb292238a19558df0)
@@ -0,0 +1,17 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+
+clean/levmar::
+	rm -f liblevmar.a levmar.h
+
+build/levmar::
+	cmake -DCMAKE_C_FLAGS="-fPIC"
+	make
+
+install/levmar::
+	mkdir -p $(CURDIR)/debian/levmar/usr/lib
+	cp -f liblevmar.a $(CURDIR)/debian/levmar/usr/lib
+	mkdir -p $(CURDIR)/debian/levmar/usr/include
+	cp -f levmar.h $(CURDIR)/debian/levmar/usr/include/
+
Index: ThirdParty/levmar/debian/source/format
===================================================================
--- ThirdParty/levmar/debian/source/format	(revision 8ce1a95e94bdc842511db41cb292238a19558df0)
+++ ThirdParty/levmar/debian/source/format	(revision 8ce1a95e94bdc842511db41cb292238a19558df0)
@@ -0,0 +1,1 @@
+3.0 (quilt)
